org.keycloak.models.sessions.infinispan.events

## Class SessionEventsSenderTransaction

- java.lang.Object
- - org.keycloak.models.AbstractKeycloakTransaction
  - - org.keycloak.models.sessions.infinispan.events.SessionEventsSenderTransaction

- All Implemented Interfaces:
    KeycloakTransaction

      public class SessionEventsSenderTransaction
      extends AbstractKeycloakTransaction

  Postpone sending notifications of session events to the commit of Keycloak transaction
  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.models.AbstractKeycloakTransaction

      `AbstractKeycloakTransaction.TransactionState`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.AbstractKeycloakTransaction

      `logger, state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionEventsSenderTransaction(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvent(SessionClusterEvent event, ClusterProvider.DCNotify dcNotify)`
    `protected void` | `commitImpl()`
    `protected void` | `rollbackImpl()`

    - ### Methods inherited from class org.keycloak.models.AbstractKeycloakTransaction

      `begin, commit, getRollbackOnly, getState, isActive, rollback, setRollbackOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionEventsSenderTransaction

          public SessionEventsSenderTransaction(KeycloakSession session)

  - ### Method Detail

    - #### addEvent

          public void addEvent(SessionClusterEvent event,
                               ClusterProvider.DCNotify dcNotify)

    - #### commitImpl

          protected void commitImpl()

      Specified by:
        `commitImpl` in class `AbstractKeycloakTransaction`

    - #### rollbackImpl

          protected void rollbackImpl()

      Specified by:
        `rollbackImpl` in class `AbstractKeycloakTransaction`

Copyright © 2021 JBoss by Red Hat. All rights reserved.